curl --request PATCH \
--url https://api.fabric.inc/v3/carts/{cartId}/line-items/{lineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"quantity": 2,
"itemId": "<unknown>",
"sku": "13B9CL6WT2SLW",
"priceListId": 100000,
"attributes": {
"productFamily": "Laptop computers"
},
"fulfillment": {
"type": "WEB_SDD",
"networkCode": "ShipToHome",
"channelId": "12",
"inventoryType": "availableToPurchase"
},
"fees": [
{
"feeId": "73bc09d0-874a-4c3d-84d0-df1670d03578",
"name": "gift",
"type": "gift_wrap",
"amount": 10.5,
"attributes": {
"from": "sam"
}
}
]
}
'import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/line-items/{lineItemId}"
payload = {
"quantity": 2,
"itemId": "<unknown>",
"sku": "13B9CL6WT2SLW",
"priceListId": 100000,
"attributes": { "productFamily": "Laptop computers" },
"fulfillment": {
"type": "WEB_SDD",
"networkCode": "ShipToHome",
"channelId": "12",
"inventoryType": "availableToPurchase"
},
"fees": [
{
"feeId": "73bc09d0-874a-4c3d-84d0-df1670d03578",
"name": "gift",
"type": "gift_wrap",
"amount": 10.5,
"attributes": { "from": "sam" }
}
]
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quantity: 2,
itemId: '<unknown>',
sku: '13B9CL6WT2SLW',
priceListId: 100000,
attributes: {productFamily: 'Laptop computers'},
fulfillment: {
type: 'WEB_SDD',
networkCode: 'ShipToHome',
channelId: '12',
inventoryType: 'availableToPurchase'
},
fees: [
{
feeId: '73bc09d0-874a-4c3d-84d0-df1670d03578',
name: 'gift',
type: 'gift_wrap',
amount: 10.5,
attributes: {from: 'sam'}
}
]
})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/line-items/{lineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "12gved0f-7645-40cb-y7b0-167f8bggdb3z",
"itemId": "<unknown>",
"position": 1,
"name": "Varnet Garden Light Kit",
"sku": "16B2GS8LD5FDS",
"productAttributes": [
{
"name": "gift wrapping (small)",
"value": "true",
"attributeId": "60c2a358eb2ec30008ae70a1",
"description": "Gift wrapping for a small package",
"mapping": "ITEM",
"type": "GIFT",
"price": 10,
"level": "order"
}
],
"createdAt": "2022-09-06T14:07:17.000Z",
"updatedAt": "2022-09-06T14:07:17.000Z",
"quantity": 15,
"priceListId": 108674,
"isActive": true,
"price": "<unknown>",
"discounts": [
"<unknown>"
],
"groups": [
"61d38e117162b7dba69c3d6d"
],
"attributes": {
"productFamily": "Laptop computers"
},
"channel": "12",
"isPickup": true,
"warehouseId": "XYZ-1234",
"shippingDetails": {
"id": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
"createdAt": "2022-09-06T14:07:17.000Z",
"updatedAt": "2022-09-06T14:07:17.000Z",
"address": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"region": "WA",
"country": "USA",
"postalCode": "98121",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"attention": "Billing manager",
"email": "test@example.com",
"type": "shipping",
"name": "Pat E Kake",
"phone": {
"number": "123-456-7899",
"type": "MOBILE"
}
},
"type": "SHIP_TO_ADDRESS",
"taxCode": "FR1000",
"isPickup": true,
"altPickupPerson": {
"name": "Pat E Kake",
"phone": {
"number": "123-456-7899",
"type": "MOBILE"
},
"email": "test@example.com"
},
"pickupPerson": {
"name": "Pat E Kake",
"phone": {
"number": "123-456-7899",
"type": "MOBILE"
},
"email": "test@example.com"
},
"warehouseId": "XYZ-1234",
"storeId": "ABC-123",
"shippingCost": 150.25,
"shippingMethodId": "dfsae-2d32113-32lpdd",
"shippingDiscount": 150.25,
"shippingMethodName": "Express Delivery"
},
"fulfillment": {
"type": "WEB_SDD",
"networkCode": "ShipToHome",
"channelId": "12",
"inventoryType": "availableToPurchase",
"inventory": {
"inventoryId": "723910d81723",
"sku": "SKU1",
"itemId": 12345,
"locationNumber": 12345,
"region": "North America",
"channelId": "channel_xyz",
"vendorId": "vendor1",
"createdAt": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"leadTime": "5 days",
"type": "primary",
"hasInfiniteInventory": false,
"backorderShipmentAt": "2022-08-01T20:03:28.483971941Z",
"preorderShipmentAt": "2022-08-01T20:03:28.483971941Z",
"backorderLimit": 50,
"preorderLimit": 40,
"safetyStock": 10,
"lowStock": 10,
"networkCode": "ShipToHome",
"counters": {
"onHand": 100,
"allocated": 10,
"shipped": 20
},
"customAttributes": {
"isBopis": true
},
"networkCounters": {
"softReserve": 10
},
"virtualCounters": {
"availableToPurchase": 60
}
}
},
"fees": [
{
"feeId": "73bc09d0-874a-4c3d-84d0-df1670d03578",
"name": "gift",
"type": "gift_wrap",
"amount": 10.5,
"attributes": {
"from": "sam"
}
}
],
"adjustments": [
{
"id": "c695af14-5e33-402c-9d8d-71edcf4856a8",
"amount": 60.5,
"reason": "CSR Adjustment",
"attributes": {
"productFamily": "Laptop computers"
},
"createdAt": "2022-09-06T14:07:17.000Z",
"updatedAt": "2022-09-06T14:07:17.000Z"
}
]
}{
"type": "BAD_REQUEST",
"message": "Bad Request"
}{
"type": "UNAUTHORIZED",
"message": "Unauthorized User"
}{
"type": "NOT_FOUND",
"message": "Cart not found"
}{
"type": "CONFLICT",
"message": "Source was modified while the request was being processed"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Partially update a line item
Through this endpoint, you can partially update line item details within the cart, including adjustments to quantity and price.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
Cart ID
"b8a64b52-dab4-8137-8d6a-f2c2337abc1"
Line item ID
"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"
Body
A sample request to update line items.
Item information to be updated
Updated quantity of line items in cart
2
Item SKU
"13B9CL6WT2SLW"
Item price list ID
100000
Placeholder to add additional information
Show child attributes
Show child attributes
{ "productFamily": "Laptop computers" }
Fulfillment request details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Line item details
Line item ID
"12gved0f-7645-40cb-y7b0-167f8bggdb3z"
Line item position number (starts at 1)
x >= 11
Line item name
"Varnet Garden Light Kit"
Line item SKU
"16B2GS8LD5FDS"
Additional line item options
Show child attributes
Show child attributes
Time line item was created
"2022-09-06T14:07:17.000Z"
Time line item was last updated
"2022-09-06T14:07:17.000Z"
Line item quantity
15
Line item price list ID
108674
true: Item is active
false: Item is inactive
true
Individual line item price
Individual line item discount
Group or category ID to which line item belongs
Attributes passed by caller
Show child attributes
Show child attributes
{ "productFamily": "Laptop computers" }
Sales channel
"12"
true: Item is set for pickup
false: Item is set for delivery
true
Warehouse ID
"XYZ-1234"
Shipping details
Show child attributes
Show child attributes
The fulfillment details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
